devel/gtl - The NetBSD Packages Collection

C++ graph data structure library based on the STL

GTL is a graph library based on STL.  For the design of GTL's API the
API of LEDA has served as a basis.  GTL contains the classes needed to
work with graphs, nodes and edges and some basic algorithms (DFS, BFS,
topsort ...) as building blocks for more complex graph algorithms.

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfgtl-1.2.4.tgz
NetBSD 8.0earmv7hfgtl-1.2.4.tgz
NetBSD 8.0earmv7hfgtl-1.2.4.tgz
NetBSD 8.0i386gtl-1.2.4.tgz
NetBSD 8.0i386gtl-1.2.4.tgz
NetBSD 8.0i386gtl-1.2.4.tgz
NetBSD 8.0powerpcgtl-1.2.4.tgz
NetBSD 8.0powerpcgtl-1.2.4.tgz
NetBSD 8.0powerpcgtl-1.2.4.tgz
NetBSD 8.0x86_64gtl-1.2.4.tgz
NetBSD 8.0x86_64gtl-1.2.4.tgz
NetBSD 8.0x86_64gtl-1.2.4.tgz
NetBSD 9.0aarch64gtl-1.2.4.tgz
NetBSD 9.0aarch64gtl-1.2.4.tgz
NetBSD 9.0aarch64gtl-1.2.4.tgz
NetBSD 9.0alphagtl-1.2.4.tgz
NetBSD 9.0alphagtl-1.2.4.tgz
NetBSD 9.0alphagtl-1.2.4.tgz
NetBSD 9.0earmgtl-1.2.4.tgz
NetBSD 9.0earmv6hfgtl-1.2.4.tgz
NetBSD 9.0earmv6hfgtl-1.2.4.tgz
NetBSD 9.0earmv6hfgtl-1.2.4.tgz
NetBSD 9.0earmv6hfgtl-1.2.4.tgz
NetBSD 9.0earmv7hfgtl-1.2.4.tgz
NetBSD 9.0earmv7hfgtl-1.2.4.tgz
NetBSD 9.0earmv7hfgtl-1.2.4.tgz
NetBSD 9.0earmv7hfgtl-1.2.4.tgz
NetBSD 9.0i386gtl-1.2.4.tgz
NetBSD 9.0i386gtl-1.2.4.tgz
NetBSD 9.0i386gtl-1.2.4.tgz
NetBSD 9.0mips64ebgtl-1.2.4.tgz
NetBSD 9.0mips64ebgtl-1.2.4.tgz
NetBSD 9.0mips64ebgtl-1.2.4.tgz
NetBSD 9.0powerpcgtl-1.2.4.tgz
NetBSD 9.0powerpcgtl-1.2.4.tgz
NetBSD 9.0sparc64gtl-1.2.4.tgz
NetBSD 9.0sparc64gtl-1.2.4.tgz
NetBSD 9.0sparc64gtl-1.2.4.tgz
NetBSD 9.0sparc64gtl-1.2.4.tgz
NetBSD 9.0sparcgtl-1.2.4.tgz
NetBSD 9.0sparcgtl-1.2.4.tgz
NetBSD 9.0sparcgtl-1.2.4.tgz
NetBSD 9.0x86_64gtl-1.2.4.tgz
NetBSD 9.0x86_64gtl-1.2.4.tgz
NetBSD 9.0x86_64gtl-1.2.4.tgz
NetBSD 9.0x86_64gtl-1.2.4.tgz
NetBSD 9.0x86_64gtl-1.2.4.tgz
NetBSD 9.0x86_64gtl-1.2.4.tgz
NetBSD 9.0x86_64gtl-1.2.4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.